void Hum()
{
  // считываем текущее показания датчика влажности почвы
  int humidityNow_lev_H = analogRead(HUMIDITY_PIN_LEV_H);
  int humidityNow_lev_L = analogRead(HUMIDITY_PIN_LEV_L);
  int humidityNow_prav_H = analogRead(HUMIDITY_PIN_PRAV_H);
  int humidityNow_prav_L = analogRead(HUMIDITY_PIN_PRAV_L);

  float humidityNow_mid_lev = (humidityNow_lev_H + humidityNow_lev_L) / 2;
  float humidityNow_mid_prav = (humidityNow_prav_H + humidityNow_prav_L) / 2;

  // если показания текущей влажности почвы
  // не равняется предыдущему запросу

  if (humidityNow_mid_lev != humidity_mid_lev)
  {

    // сохраняем текущие показания влажности
    humidity_mid_lev = humidityNow_mid_lev;
  }


  if (humidityNow_mid_prav != humidity_mid_prav)
  {

    // сохраняем текущие показания влажности
    humidity_mid_prav = humidityNow_mid_prav;
  }

  // если прошёл заданный интервал времени
  // и значения датчика влажности меньше допустимой границы
  if (waitTime == 0 || (millis() - waitTime > INTERVAL))
  {
    if (humidity_mid_lev < HUMIDITY_MIN )
    {
      // включаем помпу
      digitalWrite(POMP_PIN_LEV, HIGH);
    }
    else if (humidity_mid_lev >= (HUMIDITY_MIN+(HUMIDITY_MIN+HUMIDITY_MAX)/2))
    {
      // выключаем помпу
      digitalWrite(POMP_PIN_LEV, LOW);

    }
    if (humidity_mid_prav < HUMIDITY_MIN )
    {
      // включаем помпу
      digitalWrite(POMP_PIN_PRAV, HIGH);
    }
    {
      // выключаем помпу
      digitalWrite(POMP_PIN_PRAV, LOW);
    }

    // приравниваем переменной waitTime
    // значение текущего времени плюс 3 минуты
    waitTime = millis();
  }
}
